"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Channel = void 0;
class Channel {
    constructor(api_key, version = 'v1', host = 'http://localhost:5050') {
        this._apiKey = api_key;
        this._host = host;
        this._version = version;
    }
    /**
     * Create a new Room
     * @param params OpenChannelCreate
     */
    openChannel(params) {
        return new Promise((resolve, reject) => {
            fetch(`${this._host}/${this._version}/channels/open`, {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json',
                    'PRIVATE-KEY': this._apiKey
                },
                body: JSON.stringify(params)
            }).then((response) => {
                if (response.status === 201) {
                    response.json().then((data) => {
                        resolve(data);
                    });
                }
                else {
                    reject(response);
                }
            });
        });
    }
    groupChannel(params) {
        return new Promise((resolve, reject) => {
            fetch(`${this._host}/${this._version}/channels/group`, {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json',
                    'PRIVATE-KEY': this._apiKey
                },
                body: JSON.stringify(params)
            }).then((response) => {
                if (response.status === 201) {
                    response.json().then((data) => {
                        resolve(data);
                    });
                }
                else {
                    reject(response);
                }
            });
        });
    }
}
exports.Channel = Channel;
//# sourceMappingURL=channel.js.map